| Home | Libraries | People | FAQ | More

## Global error

boost::process::error

## Synopsis

    // In header: <boost/process/error.hpp>

    unspecified error;

## Description

The error property will set the executor to handle any errors by setting an std::error_code.

    std::error_code ec;
    system("gcc", error(ec));

The following syntax is valid:

    error(ec);
    error=ec;

The overload version is achieved by just passing an object of std::error_code to the function.